//
//  FLHVQRScanCapture.swift
//

import Foundation
import HyperSnapSDK

public class FLHVQRScanCapture{
    static var QR_SCAN_CAPTURE_START = "qrScanCaptureStart"
    static var QR_SCAN_CAPTURE_SET_SHOULD_SHOW_INSTRUCTION_PAGE = "qrScanCaptureSetShouldShowInstructionPage"
    
    static var hvQRConfig = HVQRConfig()
    
    public static func getHVQRConfig() -> HVQRConfig {
        return FLHVQRScanCapture.hvQRConfig
    }
    
    static func setShouldShowInstructionPage(shouldShowInstructionPage: Bool) {
        getHVQRConfig().setShouldShowInstructionsPage(shouldShowInstructionPage)
    }
    
    static func start(context: UIViewController, callback: @escaping ((HVError?,[String: AnyObject]?)->Void)) {
        HVQRViewController.start(context, hvQRConfig: getHVQRConfig(), completionHandler: callback)
    }
}
